This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 388211 - Package "vtk-devel" depends on "vtk-qt" and needs to be split up
Package "vtk-devel" depends on "vtk-qt" and needs to be split up
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: vtk (Show other bugs)
rawhide
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-17 05:19 EST by Joachim Frieben
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-29 14:23:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2007-11-17 05:19:11 EST
Description of problem:
During install of package "vtk-devel", also packages "vtk-qt" and "qt" get
pulled in. It's impossible to uninstall "vtk-qt" without uninstalling
"vtk-devel", too.

Version-Release number of selected component (if applicable):
vtk-5.0.3-20.fc8

How reproducible:
Always.

Steps to Reproduce:
1. "yum install vtk-devel".
2. "rpm -q vtk-qt".
3. "rpm -e vtk-qt".
  
Actual results:
Uninstall of "vtk-qt" via "rpm -e vtk-qt" is rejected, and

  error: Failed dependencies:
        libQVTK.so.5.0()(64bit) is needed by (installed)
  vtk-devel-5.0.3-20.fc8.x86_64

is returned in the shell.

Expected results:
Package "vtk-qt" is removed from the system.

Additional info:
Package "vtk-devel" needs to be split up into "vtk-devel" and
"vtk-qt-devel" to get rid of this undesired depedency.
Comment 1 Axel Thimm 2007-11-29 13:07:17 EST
A *-devel package may depend on (several) other packages. Just as valid a split
off for qt is it is for java, tcl, python etc as well. And the lines blur as
there may be combinations of toolkits and language bindings that need each other
again, or one would have to start splitting in toolkits/language bindings tuples
etc.

The drawback is requiring development systems to carry some more packages even
if the developer does not use them. That's not that big an evil - we're trying
to minimize runtime footprint, not development. ;)
Comment 2 Joachim Frieben 2007-11-29 14:01:38 EST
You are absolutely right: there should be individual subpackages for the
different toolkits. As an example, take a look at "plplot" where a clean
separation is done for the individual toolkits:

plplot-devel-5.8.0-1.fc9
plplot-gnome-5.8.0-1.fc9
plplot-gnome-devel-5.8.0-1.fc9
plplot-java-5.8.0-1.fc9
plplot-libs-5.8.0-1.fc9
plplot-tk-5.8.0-1.fc9
plplot-tk-devel-5.8.0-1.fc9
plplot-wxGTK-5.8.0-1.fc9
plplot-wxGTK-devel-5.8.0-1.fc9

Your viewpoint is very subjective, and you cannot claim to know what "we"
want when other packages implement things in a straightforward manner.
Comment 3 Axel Thimm 2007-11-29 14:23:34 EST
(In reply to comment #2)
> Your viewpoint is very subjective, and you cannot claim to know what "we"
> want when other packages implement things in a straightforward manner.

Indeed this tends to be subjective as is your POV as well. And a packager's call
is to make a decision to please the majority of users.

Note You need to log in before you can comment on or make changes to this bug.